/* 
    This file is a part of the SteamWar software.
    
    Copyright (C) 2020  SteamWar.de-Serverteam

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

package de.steamwar.bausystem.world;

import de.steamwar.bausystem.BauSystem;
import de.steamwar.bausystem.Permission;
import de.steamwar.sql.BauweltMember;
import org.bukkit.entity.Player;

public class Welt {

    private Welt() {
    }

    public static boolean noPermission(Player member, Permission perm) {
        if (member.getUniqueId().equals(BauSystem.getOwner()))
            return false;

        BauweltMember member1 = BauweltMember.getBauMember(BauSystem.getOwner(), member.getUniqueId());
        if (member1 == null)
            return true;

        switch (perm) {
            case WORLDEDIT:
                return !member1.isWorldEdit();
            case WORLD:
                return !member1.isWorld();
            case MEMBER:
                return false;
            default:
                return true;
        }
    }
}
